/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/

#include "stdafx.h"
#include "resource.h"

// The module attribute causes DllMain, DllRegisterServer and DllUnregisterServer to be automatically implemented for you
[ module(dll, uuid = "{df92738f-8e5f-4ef6-a4e6-43f280aef550}", 
		 name = "Agilent34951A",
		 version = "1.3",  
		 helpstring = "Namespace Agilent.Agilent34951A.Interop.",
		 helpfile = "Agilent34980A.chm",
		 resource_name = "IDR_Agilent34951A") ]

class CNtlModule {
public:
#if (_MSC_VER < 1400) // Before VS2005
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_Agilent34951A, "{5a42c923-ed8d-4c96-ae87-6273d59a2c3b}")
#endif

	HRESULT DllRegisterServer(BOOL bRegTypeLib = TRUE)
	{
		HRESULT hr = __super::DllRegisterServer(bRegTypeLib);

		return hr;
	}

	HRESULT DllUnregisterServer()
	{
		HRESULT hr = __super::DllUnregisterServer();

		return hr;
	}
};

